Bug 6748 - Allow non registered users to use up2date
Allow non registered users to use up2date
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-11-05 05:16 EST by Stelian Pop
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-15 14:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stelian Pop 1999-11-05 05:16:04 EST
It would be nice if up2date allowed non registered users
to use up2date for keeping up with the RedHat

Maybe by using a "non-priority".redhat.com site :)

I don't realise the full implications of this (I mean if you
can provide this as a free service), but it would be nice.

(Just an idea: maybe by distributing the sources of your
update server, someone could install mirrors of this, usable
by all the RedHat users - I think of rpmfind.net for

Comment 1 Preston Brown 1999-11-15 14:59:59 EST
At the moment, it has been decided that the update agent service will be a value
added service available to registered users.  However, a free, non-bandwidth
guaranteed service *may* be an option at some point in the future.
Comment 2 Jonathan Kamens 1999-12-16 07:05:59 EST
There *are* two bugs here, which I think you should deal with (perhaps by
creating new bugs with dependencies on this one):

1) Nowhere does the documentation make it clear that you can only use up2date
for as long as your free support lasts.  That is, if you buy the standard RedHat
and get only 30 days of free support, once that support expires you can't use
up2date anymore.  The documentation should clearly state that this service is
only available to users who are allowed to use support; right now, it just
states that it's only available to "registered users."  That's misleading -- I'm
a "registered user," but I still can't use it because I'm not longer entitled to
support.  This is a documentation bug.

2) Once a user's free support days are over, up2date will continue to happily
run and report that no updates are available.  It should definitely, most
assuredly, be reporting an error to the user when the user is no longer entitled
to check for updates on priority.redhat.com.  I suspect that this is a problem
with the up2date server on priority.redhat.com, not with the up2date client --
when a client with an expired support agreement asks for a list of updates,
rather than returning an error code, the server simply returns an empty list.

Finally, another comment: Since you don't provide up2date usage for users whose
support has expired, I had to write a Perl script to download the entire
/pub/ls-lR.gz from ftp.redhat.com and compare its contents to what's installed
on my machine.  I suspect other people do this as well.  That probably places a
far greater load on your machines than an up2date server running on
updates.redhat.com or ftp.redhat.com would.  So I think it's in your best
interest to allow users without current support contracts to use up2date.
Comment 3 Kenny Graunke 2000-01-16 15:42:59 EST
This is a very important bug. This really stings - you either have to pay for
this - or you can give Red Hat your personal information, e-mail, address, phone
number, etc. and get spammed - so you can use it. This is called "becoming a
member of RedHat.com". I finally did that and have received spam from RedHat
partners. It's annoying. In addition, I'm not sure even this is free, consider
Red Hat sells this service.

This issue has turned me off so badly that it almost makes me want to switch
distributions - in fact, I've tried many other ones on my system just because of

Is is such a big deal? Isn't the priority updates a good enough reason for most
people? Just run the up2date server on updates.redhat.com, or ask Daniel
Veillard about rpmfind.net, or some mirror.

I feel very strongly about having to pay or get spammed for such a simple
service - Mandrake, SuSE, and Debian all allow you to use their update managers
for free. When the competition has this for free, I don't see how Red Hat
expects to charge for an update manager.

I apologize for having said this here - it is probably decided in management and
out of your hands. I just want Red Hat to know that this is a problem.
Comment 4 Preston Brown 2000-12-21 14:49:55 EST
If you change the server from priority.redhat.com to ftp.redhat.com, it will now
work for free.

Note You need to log in before you can comment on or make changes to this bug.